Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

# Class StatusReasonInformationSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_03.StatusReasonInformationSEPA

public class StatusReasonInformationSEPA extends Object

Java class for StatusReasonInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusReasonInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Orgtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}PartyIdentificationSEPA6Choice" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}StatusReasonSEPA" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentificationSEPA6Choice`
`orgtr`
`protected StatusReasonSEPA`
`rsn`

## Constructor Summary

Constructors
Constructor
Description
`StatusReasonInformationSEPA()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentificationSEPA6Choice`
`getOrgtr()`
Gets the value of the orgtr property.
`StatusReasonSEPA`
`getRsn()`
Gets the value of the rsn property.
`void`
`setOrgtr(PartyIdentificationSEPA6Choice value)`
Sets the value of the orgtr property.
`void`
`setRsn(StatusReasonSEPA value)`
Sets the value of the rsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgtr

protected PartyIdentificationSEPA6Choice orgtr

### rsn

protected StatusReasonSEPA rsn

## Constructor Details

### StatusReasonInformationSEPA

public StatusReasonInformationSEPA()

## Method Details

### getOrgtr

public PartyIdentificationSEPA6Choice getOrgtr()
Gets the value of the orgtr property.

Returns:
  possible object is `PartyIdentificationSEPA6Choice`

### setOrgtr

public void setOrgtr(PartyIdentificationSEPA6Choice value)
Sets the value of the orgtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA6Choice`

### getRsn

public StatusReasonSEPA getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `StatusReasonSEPA`

### setRsn

public void setRsn(StatusReasonSEPA value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `StatusReasonSEPA`